/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package exempleLogin;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author rosmord
 */
@WebServlet(name = "Login", urlPatterns = {"/login"})
public class Login extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.getRequestDispatcher(LOGIN_JSP).forward(req, resp);
    }
    private static final String LOGIN_JSP = "/WEB-INF/jsp/login.jsp";
 
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String login = req.getParameter("login");
        String password = req.getParameter("password");
        String next = req.getParameter("next");
        if (UserManager.getInstance().auth(login, password)) {
            User u = new User(login);
            HttpSession session = req.getSession();
            session.setAttribute("utilisateur", u);
            if (next.matches("[a-zA-Z0-9]+")) {
                resp.sendRedirect(req.getContextPath()+ "/"+next);
            } else {
                resp.sendRedirect(req.getContextPath());
            }
        } else {
            req.setAttribute("message", "login ou mot de passe incorrect(s)");
            req.setAttribute("nextPage", next);
            req.getRequestDispatcher(LOGIN_JSP).forward(req, resp);
        }
    }

}
